Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.eindex.objects.exception
Class EmptyObjectException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.stc.eindex.master.EViewException
                  com.stc.eindex.master.ProcessingException
                      com.stc.eindex.objects.exception.ObjectException
                          com.stc.eindex.objects.exception.EmptyObjectException

All Implemented Interfaces:
  java.io.Serializable

public class EmptyObjectException
extends ObjectException

The EmptyObjectException class represents an exception thrown when an object is empty.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.lang.Exception
``

Constructor Summary
`EmptyObjectException()` Creates a new instance of the EmptyObjectException class without an error message.
`EmptyObjectException(java.lang.String msg)` Creates a new instance of the EmptyObjectException class with an error message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EmptyObjectException

    public EmptyObjectException()

  Creates a new instance of the EmptyObjectException class without an error message.

  Parameters:
    None.
  Throws:
    None.

### EmptyObjectException

    public EmptyObjectException(java.lang.String msg)

  Creates a new instance of the EmptyObjectException class with an error message.

  Parameters:
    `msg` - The error message to display for the type of error that occurred.
  Throws:
    None.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007 by Sun Microsystems, Inc. All Rights Reserved.